<?php
// This file is part of the Study plan plugin for Moodle
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.
/**
 * English language file
 * @package    local_treestudyplan
 * @copyright  2023 P.M. Kuipers
 * @license    https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$string["pluginname"] = 'Study plans';

$string["privacy:metadata"] = 'This plugin stores a link between users and their associated study plans. It also needs to store an email address and user provided handle, which may be a name, to send invitations to view the study plan to whomever the user chooses by email.';
$string["privacy:metadata:invit"] = 'The currently active invitations to view the study plan';
$string["privacy:metadata:invit:user_id"] = 'UserID of the user who shared their study plan';
$string["privacy:metadata:invit:name"] = 'Name/Handle entered by the user for the invitations recipient';
$string["privacy:metadata:invit:email"] = 'Email address of the invitations recipient';
$string["privacy:metadata:invit:date"] = 'Date the invitation was created';

$string["privacy:metadata:user"] = 'Links between individual users and study plans';
$string["privacy:metadata:user:user_id"] = 'The UserID of the user';
$string["privacy:metadata:user:studyplan_id"] = 'The study plan';

$string["treestudyplan:editstudyplan"] = "Manage study plans";
$string["treestudyplan:configure"] = "Configure study plans";
$string["treestudyplan:viewuserreports"] = "View study plan of others";
$string["treestudyplan:forcescales"] = 'Advanced: Allow study plan manager to force assignment scales to setting (manual modes only)';
$string["treestudyplan:selectowngradables"] = 'Teachers can select gradables in their own courses in study plan view mode (manual modes only)';

$string["report"] = 'Progress report';
$string["report_invited"] = 'Progress report for {$a}';
$string["report_index"] = 'View student progress reports';

$string["manage_invites"] = 'Share study plan access';
$string["share_report"] = 'Share';
$string["invalid_invitekey_title"] = "Invite key required";
$string["invalid_invitekey_error"] = "You need an invitation to view data via this portal";
$string["invite_description"] = "You can invite your parents or guardians to view your results. Those who receive your sharing link can view your grades until you revoke the invite";
$string["invite_tablecaption"] = "Active invites";
$string["invite_table_empty"] = "No active invites";
$string["invite_tooltip_resend"] = "Resend invite";
$string["invite_tooltip_edit"] = "Edit invite";
$string["invite_tooltip_delete"] = "Delete invite";
$string["invite_tooltip_testlink"] = "See how your results are shown";
$string["invite_button_new"] = "New invite";
$string["invite_confirm_resend"] = 'Are your sure you want to send the invite link to {$a} again?';
$string["invite_confirm_delete"] = 'Are your sure tou want to delete/revoke the invite for {$a}?';
$string["invite_desc_new"] = "Create a new invitation";
$string["invite_desc_edit"] = "Edit an existing invitation";
$string["invite_name"] = "Name";
$string["invite_email"] = "Email";
$string["invite_date"] = "Date";
$string["invite_resent_msg"] = 'The invitation for {$a->name}<{$a->email}> has been sent';
$string["invite_mail_subject"] = 'Shared grade card of {$a->sender}';
$string["invite_mail_text"] = '
<p>Dear {$a->invitee},</p>
<p>I\'d like to invite you to view my study plan and progess.</p>
<p>The link below gives you access at any time to view the most recent results. Feel free to bookmark this link in your browser.</p>
<p>Click the link below to view the study plan:<br>
<a href="{$a->link}">{$a->link}</a></p>
<p>Kind regards,<br>
{$a->sender}</p>
';

$string["view_plan"] = 'View study plans';
$string["edit_plan"] = 'Edit study plan';
$string["settingspage"] = 'Study plan settings';

$string["setting_display_heading"] = 'Display';
$string["settingdesc_display_heading"] = 'Study plan display settings';
$string["setting_display_field"] = 'Course display name';
$string["settingdesc_display_field"] = 'Select the field to use for the display name of a course in the study plan';

$string["setting_navigation_heading"] = 'Navigation';
$string["settingdesc_navigation_heading"] = 'Navigation menu configuration';
$string["setting_primary_nav_autofill"] = 'Automatically fill <i>custom menu items</i>';
$string["settingdesc_primary_nav_autofill"] = 'To show the studyplan links in the primary navigation menu (especially in moodle 4.x), lines have to be added to the setting <b>Appearance</b>&nbsp;-&nbsp;<b>Theme&nbsp;settings</b>&nbsp;-&nbsp;<b>Custom&nbsp;menu&nbsp;items</b>.<br>Disable this feature here if you do not want this, e.g. if your theme (up to moodle 3.11) uses flat navigation.';
$string["setting_defaulticon"] = 'Default studyplan image';
$string["settingdesc_defaulticon"] = 'Configure default image to show for a study plans if no specific image is set';


$string["settingspage_csync"] = 'Synchronize linked cohorts and users to courses';
$string["setting_csync_heading"] = 'Automatically create a cohort sync in all courses linked to a study plan for all cohorts linked to a study plan';
$string["settingdesc_csync_heading"] = '';
$string["setting_csync_enable_field"] = 'Automatic cohort sync';
$string["settingdesc_csync_enable_field"] = 'Enable automatic cohort sync';
$string["setting_csync_autoremove_field"] = 'Automatic deletion';
$string["settingdesc_csync_autoremove_field"] = 'Delete synchronization from courses once a cohort is removed from the study plan';
$string["setting_csync_creategroup_field"] = 'Create groups';
$string["settingdesc_csync_creategroup_field"] = 'Create a group in the course for each cohort sync';
$string["setting_csync_role_field"] = 'Role';
$string["settingdesc_csync_role_field"] = 'The role to use for automatic cohort sync enrollment created in courses';
$string["setting_csync_remember_manual_csync_field"] = 'Remember existing cohort-syncs';
$string["settingdesc_csync_remember_manual_csync_field"] = 'Mark cohort syncs that were manually created earlier, so they won\'t be removed during autosync if cohorts are removed from the studyplan';
$string["setting_csync_users_field"] = 'Enroll linked users';
$string["settingdesc_csync_users_field"] = 'Also enrol all users that are explicitly linked to a study plan in that study plan\'s courses.';

$string["autocohortsync_name"] = 'Study plan automatic cohort sync cascading';
$string["refreshteacherlist_name"] = "Refresh teacher's study plan list";


$string["studyplan_add"] = 'Add study plan';
$string["studyplan_edit"] = 'Edit study plan';
$string["studyplan_remove"] = 'Remove study plan';
$string["studyplan_confirm_remove"] = 'Are you sure you want to remove study plan page {$a}?';
$string["studyplanpage"] = 'Study plan page';
$string["studyplanpage_add"] = 'Add study plan page';
$string["studyplanpage_edit"] = 'Edit study plan page';
$string["studyplanpage_remove"] = 'Remove study plan page';
$string["studyplanpage_confirm_remove"] = 'Are you sure you want to remove study plan page {$a}?';
$string["studyplan_duration"] = 'Duration';
$string["studyplan_name"] = 'Full name';
$string["studyplan_name_ph"] = '';
$string["studyplan_icon"] = "Image for this studyplan";
$string["studyplan_context"] = 'Category';
$string["studyplan_shortname"] = 'Short name';
$string["studyplan_shortname_ph"] = '';
$string["studyplan_idnumber"] = 'ID Number';
$string["studyplan_idnumber_ph"] = '';
$string["studyplan_description"] = 'Description';
$string["studyplan_description_ph"] = '';
$string["studyplan_slots"] = 'Number of periods in plan';
$string["studyplan_startdate"] = 'Start date of plan';
$string["studyplan_enddate"] = 'End date of plan';
$string["studyplan_noneselected"] = "Pick a study plan to start editing";
$string["studyplan_select"] = "Study plan:";
$string["studyplan_select_placeholder"] = "Select study plan";

$string["studyline_add"] = 'Add study line';
$string["studyline_edit"] = 'Edit study line';
$string["studyline_editmode"] = 'Edit study lines';
$string["toolbox_toggle"] = 'Insert components and courses';
$string["studyline_remove"] = 'Remove study line';
$string["studyline_confirm_remove"] = 'Are you sure you want to remove studyline {$a}?';
$string["studyline_name"] = 'Full name';
$string["studyline_name_ph"] = '';
$string["studyline_shortname"] = 'Short name';
$string["studyline_shortname_ph"] = '';
$string["studyline_color"] = 'Background color';

$string["studyitem_confirm_remove"] = 'Are you sure you want to remove module {$a}?';
$string["editmode_modules_hidden"] = 'Modules hidden in edit mode';

$string["toolbox"] = 'Components';
$string["flow"] = 'Flow';
$string["toolbar-right"] = 'Show this bar at the right';

$string["tool-junction"] = 'Junction';
$string["tool-start"] = 'Start/continue';
$string["tool-finish"] = 'Finish';
$string["tool-badge"] = 'Badge';
$string["course-invalid"] = "Error";

$string["badges"] = 'Badges';

$string["item_configuration"] = "Configure study item";
$string["select_conditions"] = 'Completion condition';
$string["condition_default"] = 'Default for this item';
$string["condition_all"] = 'All entries need to be completed';
$string["condition_67"] = '2/3 of entries need to be completed';
$string["condition_50"] = 'Half of entries need to be completed';
$string["condition_any"] = 'One or more entries need to be completed';

$string["courses"] = 'Courses';
$string["select_grades"] = 'Grades included in report';

$string["configure_completion"] = "Configure course completion";
$string["completion_not_configured"] = "Course completion has not yet been configured.";
$string["completion_failed"] = "Failed";
$string["completion_incomplete"] = "Not started";
$string["completion_pending"] = "Pending review";
$string["completion_progress"] = "In progress";
$string["completion_completed"] = "Completed";
$string["completion_good"] = "Good";
$string["completion_excellent"] = "Excellent";
$string["completion_passed"] = "Passed";
$string["completion_incomplete_badge"] = "Not issued";
$string["completion_completed_badge"] = "Issued";

$string["incomplete"] = 'Not started';
$string["completed"] = 'Completed';
$string["completed_pass"] = 'Passed';
$string["completed_fail"] = 'Failed';

$string["cfg_grades"] = 'Configure grade & scale interpretation';
$string["cfg_plans"] = 'Manage study plans';
$string["cfg_help"] = "Study plan plugin documentation";

$string["cfg_grades_desc_head"] = 'Configure how results for outcomes are presented.';
$string["cfg_grades_desc"] = '';
$string["cfg_grades_grades"] = 'Configure point grade interpretation';
$string["cfg_grades_scales"] = 'Configure scale grade interpretation';
$string["min_progress"] = 'Progression threshold';
$string["min_completed"] = 'Completion threshold';
$string["grade_points"] = 'Maximum grade points';

$string["view_feedback"] = 'View feedback';
$string["coursetiming_past"] = "Past course";
$string["coursetiming_present"] = "Active course";
$string["coursetiming_future"] = "Upcoming course";

$string["link_myreport"] = "My study plan";
$string["link_viewplan"] = "Study plans";
$string["link_editplan"] = "Manage study plans";
$string["nav_invited"] = "View study plan by invitation";
$string["associations"] = 'Associations';
$string["associated_cohorts"] = 'Linked cohorts';
$string["associated_users"] = 'Linked users';
$string["associate_cohorts"] = 'Search cohorts to add';
$string["associate_users"] = 'Search users to add';
$string["add_association"] = 'Add';
$string["delete_association"] = 'Delete';
$string["associations_empty"] = 'No active associations';
$string["associations_search"] = 'Search';
$string["users"] = 'Users';
$string["cohorts"] = 'Cohorts';
$string["selected"] = 'Select';
$string["name"] = 'Name';
$string["context"] = 'Category';

$string["error"] = "Error";
$string["ungraded"] = 'Needs grading';
$string["graded"] = 'Graded';
$string["allgraded"] = 'All graded';
$string["unsubmitted"] = 'No submission';
$string["nogrades"] = 'No grades';
$string["unknown"] = 'Grading status unknown';

$string["selectstudent_btn"] = "View student plans";
$string["selectstudent"] = "Choose student";
$string["selectstudent_details"] = "Pick a student from the list below to see their progress in this study plan";
$string["showoverview"] = "Teacher view";
$string["open"] = "Open";
$string["noenddate"] = "Ongoing";
$string["back"] = "Back";
$string["send"] = "Send";

$string["setting_aggregation_heading"] = "Outcome aggregation settings";
$string["settingdesc_aggregation_heading"] = "Configure how completing outcomes is processed into completing a module";
$string["setting_aggregation_mode"] = "Default aggregation style";
$string["settingdesc_aggregation_mode"] = "Choose a default aggregation style for new study plans";

$string["tristate_aggregator_title"] = 'Manual: Progress/Completed/Excellent Classic';
$string["tristate_aggregator_desc"] = 'Outcomes are graded progress, completed and excellent. Modules can be configured to require a specific amount of completed outcomes';

$string["bistate_aggregator_title"] = 'Manual: Completed + Required outcomes';
$string["bistate_aggregator_desc"] = 'Outcomes are completed or not (e.g. not started, in progress or failed). Required outcomes for completion are supported. You can configure for each study plan how many attained outcomes result in a completed, good or excellent module score';

$string["core_aggregator_title"] = 'Moodle course completion';
$string["core_aggregator_desc"] = 'Use Moodle core completion';

$string["setting_bistate_heading"] = 'Defaults for Completed + Required outcomes';
$string["settingdesc_bistate_heading"] = 'Set the defaults for this aggregation method';

$string["choose_aggregation_style"] = 'Choose aggregation style';

$string["select_scaleitem"] = 'Choose...';
$string["setting_bistate_thresh_excellent"] = 'Threshold for excellent';
$string["settingdesc_bistate_thresh_excellent"] = 'Minimum percentage of outcomes completed for result "Excellent"';
$string["setting_bistate_thresh_good"] = 'Threshold for good';
$string["settingdesc_bistate_thresh_good"] = 'Minimum percentage of outcomes completed for result "Good"';
$string["setting_bistate_thresh_completed"] = 'Threshold for completed';
$string["settingdesc_bistate_thresh_completed"] = 'Minimum percentage of outcomes completed for result "Completed"';
$string["setting_bistate_support_failed"] = 'Support "Failed" result';
$string["settingdesc_bistate_support_failed"] = 'Whether the result "Failed" is supported or not';
$string["setting_bistate_thresh_progress"] = 'Threshold for progress';
$string["settingdesc_bistate_thresh_progress"] = 'Minimum percentage of outcomes that should not be failed in order to qualify for progress result. <br><strong>Only relevant if "Failed" results are supported</strong>';
$string["setting_bistate_accept_pending_submitted"] = 'Accept submitted but ungraded result as "progress"';
$string["settingdesc_bistate_accept_pending_submitted"] = 'If enabled, submitted but ungraded outcomes will still count toward progress. If disabled, only graded outcomes will count';

$string["grade_include"] = "Include";
$string["grade_require"] = "Require";
$string["required_goal"] = "Required outcome";

$string["advanced_tools"] = 'Advanced';
$string["confirm_cancel"] = 'Cancel';
$string["confirm_ok"] = 'Confirm';
$string["advanced_converted"] = 'converted';
$string["advanced_skipped"] = 'skipped';
$string["advanced_failed"] = 'failed';
$string["advanced_locked"] = 'locked';
$string["advanced_multiple"] = 'multiple';
$string["advanced_error"] = 'error';
$string["advanced_tools_heading"] = 'Advanced tools';
$string["advanced_warning_title"] = 'Warning';
$string["advanced_warning"] = 'These advanced tools should be used with the utmost care. Make sure you know what you are doing when using them';
$string["advanced_pick_scale"] = 'Pick scale';
$string["advanced_force_scale_title"] = 'Force scales';
$string["advanced_force_scale_desc"] = 'Change all gradable outcomes associated with this study plan to scale grading with the selected scale. This will only affect gradables that do not already have grades.';
$string["advanced_force_scale_button"] = 'Apply';
$string["advanced_confirm_header"] = 'Are you sure';
$string["advanced_force_scale_confirm"] = 'Are you sure you want to set all associated gradables to this scale?';

$string["advanced_backup_restore"] = 'Backup and restore';
$string["advanced_restore"] = 'Restore from file';
$string["advanced_backup"] = 'Backup to file';
$string["advanced_restore_pages"] = 'Import pages from a studyplan backup';
$string["advanced_restore_lines"] = 'Import content from a studyplan page backup';
$string["advanced_backup_plan"] = 'Backup studyplan';
$string["advanced_backup_page"] = 'Backup active studyplan page ';
$string["advanced_export"] = 'Export to file';
$string["advanced_export_csv_page"] = 'Export current page as CSV';
$string["advanced_export_csv_plan"] = 'Export studyplan CSV';
$string["advanced_import_from_file"] = "Restore studyplan from file";

$string["advanced_purge"] = "Delete";
$string["advanced_purge_plan"] = "Delete entire study plan";
$string["advanced_purge_plan_expl"] = "Delete the entire study plan. This is not recoverable";
$string["advanced_purge_page"] = "Delete active page";
$string["advanced_purge_page_expl"] = "Delete the currently active study plan page. This is not recoverable";
$string["currentpage"] = "Currently active page:";
$string["advanced_bulk_course_timing"] = 'Sync course timing to periods';
$string["advanced_bulk_course_timing_desc"] = 'Synchronize the start and end date of all courses in the currently active studyplan page to periods in which they are placed.';


$string["advanced_cascade_cohortsync_title"] = "Cascade cohort sync";
$string["advanced_cascade_cohortsync_desc"] = "Add cohort sync enrolment to each course in this study plan for all cohorts linked to this study plan";
$string["advanced_cascade_cohortsync"] = "Cascade cohort sync";

$string["advanced_course_manipulation_title"] = 'Course manipulation';
$string["myreport_teachermode"] = 'Study plans I am teaching';

$string["aggregation_overall_all"] = "Complete all of the following to complete this course";
$string["aggregation_overall_any"] = "Complete one or more of the following to complete this course";
$string["aggregation_overall_one"] = "Complete the following to complete this course";
$string["aggregation_all"] = "Complete all ";
$string["aggregation_any"] = "Complete one or more ";
$string["aggregation_one"] = "Achieve ";

$string["share_badge"] = "Share badge";
$string["dateissued"] = "Issued on";
$string["dateexpire"] = "Expires on";
$string["badgeinfo"] = "Badge details";
$string["badgeissuedstats"] = "Issuing progress";
$string["badgedisabled"] = "This badge is currently not available";

$string["period_edit"] = 'Change period details';
$string["period_default_fullname"] = 'Period {$a}';
$string["period_default_shortname"] = 'P{$a}';
$string["course_timing_title"] = 'Course timing does not match period timing';
$string["course_timing_desc"] = 'The start and end date of the course do not match the start and end date of it\'s period(s) in the study plan.';
$string["course_timing_question"] = 'Do you want to update the course\'s start and end time to match that of the period(s)?';
$string["course_timing_warning"] = 'You do not have permission to automatically update this course start and end date. Automatic timing update not available';
$string["period"] = 'Period';
$string["periods"] = 'Periods';
$string["duration"] = 'Duration';
$string["course_timing_rememberchoice"] = 'Remember my choice for future date mismatches';
$string["course_timing_hidewarning"] = 'Hide this warning next time';
$string["course_timing_ok"] = 'Course timing matches period timing';
$string["course_timing_off"] = 'Course timing does not match period timing. Click here to correct.';
$string["course_period_span"] = 'Spans';
$string["course_period_span_desc"] = 'If the space directly after this course is free, the course can be expanded to span multiple periods.';
$string["view_completion_report"] = 'View detailed course completion report';
$string["item_delete_message"] = 'Are you sure you want to delete the {item} {name} from studyline {line} in {period}?';

$string["student_not_tracked"] = 'Not enrolled in this course';
$string["completion_not_enabled"] = 'Completion is not enabled in this course';
$string["student_from_plan_enrolled"] = 'student in this study plan is enrolled in the course';
$string["students_from_plan_enrolled"] = 'students in this study plan are enrolled in the course';
$string["not_enrolled"] = "Not enrolled";

$string["warning_incomplete_pass"] = 'Completion data was reset for this activity, causing your passing grade not to be registered. Ask your teacher to re-grade this grade to remedy this.';
$string["warning_incomplete_nograderq"] = 'Because the grade is not marked as a requirement, your passing grade is not registering completion.';

$string["error:nosuchcompetency"] = 'Warning: This competency no longer exists';